
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java8 Lambda表达式 / 憋错料</title>

    <meta name="description" content="Java8 Lambda表达式 Lambda表达式是Java SE 8中一个重要的新特性.lambda表达式允许你通过表达式来代替功能接口. lambda表达式就和方法一样,它提供了一个正常的参数列表和一个使用这些参数的主体(body,可以是一个表达式或一个代码块).Lambda表达式还增强了集合库. Java SE 8添加了2个对集合数据进行批量操作的包: java.util.function 包以及java.util.stream 包. 流(stream)就如同迭代器(iterator),但附加了许多额外的功能. 总的来说">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Java8 Lambda表达式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Lambda表达式是Java SE 8中一个重要的新特性。lambda表达式允许你通过表达式来代替功能接口。 lambda表达式就和方法一样,它提供了一个正常的参数列表和一个使用这些参数的主体(body,可以是一个表达式或一个代码块)。<br />Lambda表达式还增强了集合库。 Java SE 8添加了2个对集合数据进行批量操作的包:&nbsp;java.util.function&nbsp;包以及java.util.stream&nbsp;包。 流(stream)就如同迭代器(iterator),但附加了许多额外的功能。 总的来说,lambda表达式和 stream 是自Java语言添加泛型(Generics)和注解(annotation)以来最大的变化。</p>
<p><strong>Lambda表达式的语法</strong></p>
<p>基本语法：</p>
<p>(parameters) -&gt; expression</p>
<p>或</p>
<p>(parameters) -&gt; { statements; }</p>
<p>下面是Java Lambda表达式的简单例子：</p>
<pre>// 1. 不需要参数,返回值为 5
() -&gt; 5  

// 2. 接收一个参数(数字类型),返回其2倍的值
x -&gt; 2 * x  

// 3. 接受2个参数(数字),并返回他们的差值
(x, y) -&gt; x – y  

// 4. 接收2个int型整数,返回他们的和
(int x, int y) -&gt; x + y  

// 5. 接受一个 string 对象,并在控制台打印,不返回任何值(看起来像是返回void)
(String s) -&gt; System.out.print(s)  </pre>
<p><strong>基本的Lambda例子</strong></p>
<p><strong>循环一个List</strong></p>
<pre>String[] atp = {"Rafael Nadal", "Novak Djokovic",
       "Stanislas Wawrinka",
       "David Ferrer","Roger Federer",
       "Andy Murray","Tomas Berdych",
       "Juan Martin Del Potro"};  // 将数组转换成集合
List&lt;String&gt; players =  Arrays.asList(atp);  

// 以前的循环方式
for (String player : players) {
     System.out.print(player + "; ");
}  

// 使用 lambda 表达式以及函数操作(functional operation)
players.forEach((player) -&gt; System.out.print(player + "; "));  

// 在 Java 8 中使用双冒号操作符(double colon operator)
players.forEach(System.out::println);  </pre>
<p><strong>实现匿名内部类</strong></p>
<pre>// 1.1使用匿名内部类
new Thread(new Runnable() {
    @Override
    public void run() {
        System.out.println("Hello world !");
    }
}).start();  

// 1.2使用 lambda expression
new Thread(() -&gt; System.out.println("Hello world !")).start();  

// 2.1使用匿名内部类
Runnable race1 = new Runnable() {
    @Override
    public void run() {
        System.out.println("Hello world !");
    }
};  

// 2.2使用 lambda expression
Runnable race2 = () -&gt; System.out.println("Hello world !");  

// 直接调用 run 方法(没开新线程哦!)
race1.run();
race2.run();  </pre>
<p><strong>排序集合</strong></p>
<p>String[] players = {"Rafael Nadal", "Novak Djokovic",</p>
<pre><em>"Stanislas Wawrinka", "David Ferrer",
    "Roger Federer", "Andy Murray",
    "Tomas Berdych", "Juan Martin Del Potro",
    "Richard Gasquet", "John Isner"};  

// 1.1 使用匿名内部类根据 name 排序 players
Arrays.sort(players, new Comparator&lt;String&gt;() {
    @Override
    public int compare(String s1, String s2) {
        return (s1.compareTo(s2));
    }
});  

// 1.2 使用 lambda expression 排序 players
Comparator&lt;String&gt; sortByName = (String s1, String s2) -&gt; (s1.compareTo(s2));
Arrays.sort(players, sortByName);  

// 1.3 也可以采用如下形式:
Arrays.sort(players, (String s1, String s2) -&gt; (s1.compareTo(s2)));

// 1.4 使用双冒号排序Arrays.sort(players,(String::compareTo));</em></pre>
<pre>&nbsp;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 16:39:03 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ble/" title="ble">ble</a>, <a href="https://www.biecuoliao.com/tag/oid/" title="oid">oid</a>, <a href="https://www.biecuoliao.com/tag/%e5%9f%ba%e6%9c%ac/" title="基本">基本</a>, <a href="https://www.biecuoliao.com/tag/gen/" title="gen">gen</a>, <a href="https://www.biecuoliao.com/tag/%e5%88%97%e8%a1%a8/" title="列表">列表</a>, <a href="https://www.biecuoliao.com/tag/expr/" title="expr">expr</a>, <a href="https://www.biecuoliao.com/tag/%e5%8d%95%e4%be%8b/" title="单例">单例</a>, <a href="https://www.biecuoliao.com/tag/java-se/" title="java se">java se</a>, <a href="https://www.biecuoliao.com/tag/java8/" title="java8">java8</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Java8 Lambda表达式的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dgB6BM.html" rel="bookmark">Java8 Lambda表达式深入学习（4） -- Java8实现方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几篇文章讨论了函数式接口和Lambda表达式语法.invokedynamic指令,以及Groovy2如何利用indy指令.本篇文章在前面几篇的基础之上,简要介绍Java8底层是如何实现Lambda表达式的. 示例代码 本文将以下面的代码为例展开讨论: import java.util.Arrays; import java.util.List; public class LambdaImplTest { public static void main(String[] args) { m1(A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEZrGZ0.html" rel="bookmark">java8 lambda表达式初接触</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境是jdk8 代码如下: package memTest; /** * Created by PC on 2014/8/5. */ public class LambdaOne { public static void test(){ new Thread(()-&gt; System.out.print(&quot;hi&quot;) ).start(); } public static void main(String[] args) { new LambdaOne().test(); } } ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWxla3.html" rel="bookmark">深入学习Java8 Lambda表达式 -- 从函数式接口说起</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				希望本文能够成为Java8 Lambda表达式的快速入门指南. 函数式接口 理解Functional Interface(函数式接口,以下简称FI)是学习Java8 Lambda表达式的关键所在,所以放在最开始讨论.FI的定义其实很简单:任何接口,如果只包含唯一一个抽象方法,那么它就是一个FI.为了让编译器帮助我们确保一个接口满足FI的要求(也就是说有且仅有一个抽象方法),Java8提供了@FunctionalInterface注解.举个简单的例子,Runnable接口就是一个FI,下面是它的源			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ObNPX0.html" rel="bookmark">Java8 Lambda表达式深入学习（2） -- InvokeDynamic指令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了更好的支持动态类型语言,Java7通过JSR292给JVM增加了一条新的字节码指令:invokedynamic.之后,JVM上面的一些动态类型语言,比如Groovy(2.0+)和JRuby(1.7.0+)都开始支持invokedynamic.不过让人意外的是,为动态语言量身定制的invokedynamic指令,居然也被用到了Java8的Lambda表达式(JSR335)实现上.本文会对invokedynamic(以下简写做indy)指令做出详细解释. 测试代码 Java7以及更早版本的Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xn5k74.html" rel="bookmark">Java8 Lambda表达式应用案例 -- 单线程游戏服务器&plus;异步数据库操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间我们游戏服务器的开发环境升级到了Java8,这两天我又把服务器的线程模型重新设计了一下,用上了Lambda表达式.Lambda表达式确实能够大幅简化Java代码,特别是丑陋不堪的匿名内部类,这篇文章主要就是想和大家分享这一点. 线程模型 首先简单介绍一下我们游戏服务器的线程模型,大致如下图所示: Netty线程池只处理消息的收发,当Netty收到消息之后,会交给游戏逻辑线程处理.由于是单线程在处理游戏逻辑,所以每一个消息必须很快处理完,也就是说,不能有数据库等耗时操作,不然逻辑线程很可能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWKYbLM.html" rel="bookmark">Java8 Lambda表达式详解手册及实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先贩卖一下焦虑,Java8发于2014年3月18日,距离现在已经快6年了,如果你对Java8的新特性还没有应用,甚至还一无所知,那你真得关注公众号&quot;程序新视界&quot;,好好系列的学习一下Java8的新特性.Lambda表达式已经在新框架中普通使用了,如果你对Lambda还一无所知,真得认真学习一下本篇文章了. 现在进入正题Java8的Lambda,首先看一下发音 ([?l?md?])表达式.注意该词的发音,b是不发音的,da发[d?]音. 为什么要引入Lambda表达式 简单的来说,引入La			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLJAqd3.html" rel="bookmark">Java8 Lambda表达式入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Lambda表达式的实质就是一个匿名函数.C#3.0引入了Lambda表达式,Java8也不甘示弱.Java8发布很久了,今天安装了JDK体验了Java8中的Lambda表达式. 首先看一个不适用Lambda表达式的例子. 比如我们要对一组字符串进行排序. public class Hello { public static void main(String[] args) { List&lt;String&gt; names = Arrays.asList(&quot;Tan&quot;, &quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nv7Pv0.html" rel="bookmark">java8 lambda表达式-语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么事lambda表达式,在百科的解释是 &quot;Lambda 表达式&quot;(lambda expression)是一个匿名函数,Lambda表达式基于数学中的λ演算得名,直接对应于其中的lambda抽象(lambda abstraction),是一个匿名函数,即没有函数名的函数.Lambda表达式可以表示闭包(注意和数学传统意义上的不同). 在java中我理解是匿名类,或者参数表达式(带有参数的可执行的代码块). (Type1 param1, Type2 param2, ..., TypeN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/415vaJ4.html" rel="bookmark">JAVA8 Lambda表达式完全解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA8 新特性 在学习JAVA8 Lambda之前,必须先了解一下JAVA8中与Lambda相关的新特性,不然对于一些概念会感到比较陌生. 1. 接口的默认方法和静态方法 Java 8允许我们给接口添加一个默认方法,用default修饰即可.默认方法可以重写,也可以不用重写.这就是和抽象方法的区别,在用法上,没有其他区别. public interface IMyInterface { void onMethond(String str);//这是一个抽象方法 default String			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bg6lp3.html" rel="bookmark">Java8 Lambda表达式介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				欢迎进入我的博客:blog.scarlettbai.com查看更多文章 Lambda表达式是Java8里的一个重要特性,发布这么久了,最近在学swift语言时发现了其中的闭包的概念其实跟Lambda表达式极其相似,于是今天整理一下Java8中的Lambda表达式,做个介绍. Lambda表达式其实就是提供Java编程中对于函数式编程的支持,在我们习惯了一切皆对象时,刚接触Lambda可能读起来比较费劲,但是习惯之后,其确实有助于代码的简洁,且在Python.swift等中都有类似于Lambda这			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyWBm3.html" rel="bookmark" class="title">ant直观入门</a>
					<div>
						Ant是一种基于Java的build工具.理论上来说,它有些类似于(Unix)C中的make ,但没有make的缺陷. 当一个代码项目大了以后,每次重新编译,打包,测试等都会变得非常复杂而且重复,因此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5YPl0.html" rel="bookmark" class="title">Racket 模拟SICP的流&lpar;延时计算&rpar;</a>
					<div>
						默认的Racket是要对函数参数进行求值的, 例如(f 1 (+ 1 2))里面,(+ 1 2)要先求值为3,变为(f 1 3)再进行下一步操作.因此, Racket若按照SICP使用define关键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyWlEM.html" rel="bookmark" class="title">计算机二级软件VC&plus;&plus;6&period;0下载地址</a>
					<div>
						计算机二级软件VC++6.0介绍: 适合所有参加全国计算机等级考试的童鞋们--见图如下: 下载地址:(以下两者任选其一即可) (1).计算机二级软件VC++6.0(16.35MB) (2).计算机二级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02m7gBM.html" rel="bookmark" class="title">08-12工作总结</a>
					<div>
						由于程序中大量涉及jquery,查阅jquery的API文档,对属性.事件.选择器有了初步的理解,常用的 几个进行了重点学习,对于理解.html源代码有不小的帮助,但是现在还不熟练. 学习了百度地图A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz5xzW4.html" rel="bookmark" class="title">android微信开放平台，申请移动应用的应用签名怎样获取</a>
					<div>
						在微信开放平台,申请移动应用的时候: https://open.weixin.qq.com/cgi-bin/appcreate? t=manage/createMobile&amp;type=app& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGoGz0.html" rel="bookmark" class="title">说说Timing这回事（转载）</a>
					<div>
						本文原始位置:FPGANotes Blog http://wiki.fpganotes.com/doku.php/ise:timing:my_summary Intro 问:一个FPGA设计项目需要用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OR1NZ0.html" rel="bookmark" class="title">ASP&period;NET系统对象</a>
					<div>
						一.ASP.NET 系统对象        Request:用来获取客户端在Web请求期间发送的值,如URL参数,表单参数        Response:用来负者返回到客户端的HTTP输出      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7d1v4.html" rel="bookmark" class="title">Eclipse&plus;Maven远程部署项目到Tomcat中</a>
					<div>
						使用maven的自动部署功能可以很方便的将maven工程自动打包并且部署到远程tomcat服务器,省去一些繁琐的操作,节省大量时间. 我使用的tomcat版本是8.5,tomcat7和tomcat8都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bOXKL3.html" rel="bookmark" class="title">读《目送》</a>
					<div>
						今天是周六,下了一天的雨.搬了椅子,凳子到阳台,一边看书一边吹风,甚是惬意,看了&lt;目送&gt;,写点感想. (1)不必打开,我就知道,存折里头,谁装了一个看不见的沙漏.  因为无法打开,看不见沙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGppeQ0.html" rel="bookmark" class="title">最小二乘法拟合非线性函数及其Matlab&sol;Excel 实现（转）</a>
					<div>
						1.最小二乘原理 Matlab直接实现最小二乘法的示例: close x = 1:1:100; a = -1.5; b = -10; y = a*log(x)+b; yrand = y + 0.5*r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLLvd3.html" rel="bookmark" class="title">响应式开发的思路和断点的选择</a>
					<div>
						一般思路有两种, 1. 渐进增强. 即先开发比较低级的版本, 再开发高级的 2. 优雅降级. 与第一种方式相反. 个人倾向第2种, 因为如果迭代比较快的话, 那么往往低级的版本刚开发完成, 可能整个项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQZjLM.html" rel="bookmark" class="title">NetBeans IDE驱动报错The path to the driver executable must be set by the web driver&period;chrome&period;driver&period;system property&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题:defaulstUserDataPath=C:\\Users\\user1\\AppData\\Local\\Google\\Chrome\\User Data\\Defaul 编译失败 解决  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRjRW3.html" rel="bookmark" class="title">eNSP的使用</a>
					<div>
						1- 进入华为路由器界面配置ipThe device is running!####################################Nov  1 2016 23:39:24-08:00 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xe6Xj3.html" rel="bookmark" class="title">Oracle listener&period;log 清理</a>
					<div>
						在oracle中,如果不对监听日志文件进行截断(定期清理),那么监听日志文件会变得越来越大,由于一些老旧的OS不支持2GB以上的文件,故当listener.log文件超过2GB时,会出现无法处理新的连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpLj14.html" rel="bookmark" class="title">常见企业IT支撑【6、跳板机Jumpserver】</a>
					<div>
						Jumpserver是国内一款开源的轻便的跳板机系统,他们的官网:http://www.jumpserver.org/ 使用这款软件意在提高公司内部登录生产环境服务器的便捷性,权限分配细化,以及后台管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQJ9L0.html" rel="bookmark" class="title">CSS样式方式</a>
					<div>
						今天学习了CSS的样式控制有四种方式:1.行内样式:2.内嵌样式.3.链接样式:4.导入样式 1.行内样式 &lt;div id=&quot;a&quot; style=&quot;width:100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQzqb0.html" rel="bookmark" class="title">POJ2226</a>
					<div>
						题意:给定一个矩阵,其中有一些地方有水,现在有一些长度任意,宽为1的木板,要求在所有板不跨越任何坑的前提下,用一些木板盖住这些有水的地方,问至少需要几块板子? 思路:      然后你们懂的,二分匹配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDl1A8M.html" rel="bookmark" class="title">Struts2基础学习总结</a>
					<div>
						Struts2基础学习总结(一)---入门 Struts 2: Struts2是一个基于MVC设计模式的Web应用框架,它本质上相当于一个servlet,在MVC设计模式中,Struts2作为控制器( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6eNEZ4.html" rel="bookmark" class="title">关于函数的理解</a>
					<div>
						function fn1(){ this.name = &quot;xulihua&quot;; this.mm = function(){ alert(this.name) } } fn1.age  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVWY5z0.html" rel="bookmark" class="title">Angularjs中的promise</a>
					<div>
						promise 是一种用异步方式处理值的方法,promise是对象,代表了一个函数最终可能的返回值或抛出的异常.在与远程对象打交道非常有用,可以把它们看成一个远程对象的代理. 要在Angular中创建 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
